VOS_STATUS(1)

NAME
vos_status - Reports a Volume Server's status

SYNOPSIS
vos status -server <machine name>
    [-cell <cell name>]
    [-noauth] [-localauth]
    [-verbose] [-encrypt] [-noresolve]
    [-config <config directory>]
    [-help]

vos st -s <machine name>
    [-c <cell name>]
    [-noa] [-l] [-v] [-e] [-nor]
    [-co <config directory>]
    [-h]

DESCRIPTION
The vos status command reports on what the Volume Server on a certain file server machine is doing at the moment the command is issued. If there is no activity, the following message appears:

   No active transactions on <machine_name>

This command is useful mainly if there is concern that the Volume Server is not performing requested actions.

OPTIONS

-server <server name>
    Identifies the file server machine running the Volume Server for which to display status information. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see vos(1).

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-encrypt
    Encrypts the command so that the operation's results are not transmitted across the network in clear text. This option is available in OpenAFS versions 1.4.11 or later and 1.5.60 or later.

-noresolve
    Shows all servers as IP addresses instead of the DNS name. This is very useful when the server address is registered as 127.0.0.1 or when dealing with multi-homed servers. This option is available in OpenAFS versions 1.4.8 or later and 1.5.35 or later.

-config <configuration directory>
    Set the location of the configuration directory to be used. This defaults to /usr/vice/etc, except if -localauth is specified, in which case the default is /usr/afs/etc. This option allows the use of alternative configuration locations for testing purposes.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
There are two possible types of output.

The following message indicates that the Volume Server is not currently performing any actions.

   No active transactions on I<machine name>

The other possible output is a set of information which is probably more useful to programmers than to system administrators. A full understanding of all the fields requires familiarity with the code for the Volume Server, as many of the fields report ID numbers and flag values that the Volume Server sets for internal use.

Among the fields of possible interest to an administrator are:

•   "created" on the first line, which indicates the time at which this transaction started

•   In OpenAFS 1.5.75 and later, "lastActiveTime" on the second line, which indicates the last time an RPC interacted with this transaction

•   "attachFlags" on the third line, where a value of "offline" indicates that the volume is not available for other read or write operations during this transaction

•   "volume" on the fourth line, which specifies the affected volume's ID number

•   "partition" on the fourth line, which indicates where the affected volume resides (at the beginning of the transaction if this is a move)

•   "procedure" on the fourth line, which indicates the internal subprocedure being executed

A fifth line can appear during certain transactions, and includes the following fields:

•   "packetRead" tracks whether information is being read into the volume. Its absolute value is not informative, but the way it changes shows whether the vos restore command is executing properly. As the vos status command is issued repeatedly during a restore, "readNext" increases monotonically to indicate that information is being read into the volume.

•   "packetSend" tracks whether information is being sent out of the volume. Its absolute value is not informative, but the way it changes shows whether the vos dump command is executing properly. As the vos status command is issued repeatedly during a dump, "transmitNext" increases monotonically to indicate that information is being transferred from the volume into the dump file.

The "lastReceiveTime" and "lastSendTime" are for internal use.

EXAMPLES
The following example illustrates the kind of output that sometimes appears when the Volume Server on "fs1.example.com" is executing a dump at the time this command is issued.

   % vos status fs1.example.com
   --------------------------------------------
   transaction: 575  created: Tue Jan 2 8:34:56 1990
   attachFlags: offline
   volume: 536871080 partition: /vicepb procedure: Dump
   packetRead: 2 lastReceiveTime: 113313 packetSend: 24588
       lastSendTime: 113317
   --------------------------------------------

PRIVILEGE REQUIRED
None

SEE ALSO
vos(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.